## org.jfree.layout
Class FormatLayout

    java.lang.Object
      org.jfree.layout.FormatLayout

All Implemented Interfaces:
  java.awt.LayoutManager, java.io.Serializable

    public class FormatLayout

extends java.lang.Object
implements java.awt.LayoutManager, java.io.Serializable

A layout manager that spaces components over six columns in seven different formats.

Author:
  David Gilbert
See Also:
  Serialized Form

Field Summary
`static int` `C` A useful constant representing layout format 1.
`static int` `LC` A useful constant representing layout format 2.
`static int` `LCB` A useful constant representing layout format 3.
`static int` `LCBLC` A useful constant representing layout format 6.
`static int` `LCBLCB` A useful constant representing layout format 7.
`static int` `LCLC` A useful constant representing layout format 4.
`static int` `LCLCB` A useful constant representing layout format 5.

Constructor Summary
`FormatLayout(int rowCount, int[] rowFormats)` Constructs a new layout manager that can be used to create input forms.

Method Summary
`void` `addLayoutComponent(java.awt.Component comp)` Not used.
`void` `addLayoutComponent(java.lang.String name, java.awt.Component comp)` Not used.
`void` `complete()` Finishes of the processing.
`void` `layoutContainer(java.awt.Container parent)` Performs the layout of the container.
`java.awt.Dimension` `minimumLayoutSize(java.awt.Container parent)` Returns the minimum size of the component using this layout manager.
`java.awt.Dimension` `preferredLayoutSize(java.awt.Container parent)` Returns the preferred size of the component using this layout manager.
`void` `removeLayoutComponent(java.awt.Component comp)` Not used.
`void` `removeLayoutComponent(java.lang.String name, java.awt.Component comp)` Not used.
`protected void` `updateC(int rowIndex, java.awt.Dimension d0)` Processes a row in 'C' format.
`protected void` `updateLC(int rowIndex, java.awt.Dimension d0, java.awt.Dimension d1)` Processes a row in 'LC' format.
`protected void` `updateLCB(int rowIndex, java.awt.Dimension d0, java.awt.Dimension d1, java.awt.Dimension d2)` Processes a row in 'LCB' format.
`protected void` `updateLCBLC(int rowIndex, java.awt.Dimension d0, java.awt.Dimension d1, java.awt.Dimension d2, java.awt.Dimension d3, java.awt.Dimension d4)` Processes a row in 'LCBLC' format.
`protected void` `updateLCBLCB(int rowIndex, java.awt.Dimension d0, java.awt.Dimension d1, java.awt.Dimension d2, java.awt.Dimension d3, java.awt.Dimension d4, java.awt.Dimension d5)` Processes a row in 'LCBLCB' format.
`protected void` `updateLCLC(int rowIndex, java.awt.Dimension d0, java.awt.Dimension d1, java.awt.Dimension d2, java.awt.Dimension d3)` Processes a row in 'LCLC' format.
`protected void` `updateLCLCB(int rowIndex, java.awt.Dimension d0, java.awt.Dimension d1, java.awt.Dimension d2, java.awt.Dimension d3, java.awt.Dimension d4)` Processes a row in 'LCLCB' format.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### C

    public static final int C

  A useful constant representing layout format 1.

  See Also:
    Constant Field Values

### LC

    public static final int LC

  A useful constant representing layout format 2.

  See Also:
    Constant Field Values

### LCB

    public static final int LCB

  A useful constant representing layout format 3.

  See Also:
    Constant Field Values

### LCLC

    public static final int LCLC

  A useful constant representing layout format 4.

  See Also:
    Constant Field Values

### LCLCB

    public static final int LCLCB

  A useful constant representing layout format 5.

  See Also:
    Constant Field Values

### LCBLC

    public static final int LCBLC

  A useful constant representing layout format 6.

  See Also:
    Constant Field Values

### LCBLCB

    public static final int LCBLCB

  A useful constant representing layout format 7.

  See Also:
    Constant Field Values

Constructor Detail

### FormatLayout

    public FormatLayout(int rowCount,
                        int[] rowFormats)

  Constructs a new layout manager that can be used to create input forms. The layout manager works by arranging components in rows using six columns (some components will use more than one column).

  Any component can be added, but I think of them in terms of Labels, Components, and Buttons. The formats available are: C, LC, LCB, LCLC, LCLCB, LCBLC or LCBLCB.

  C | 1 component in this row (spread across all six columns).
  LC | 2 components, a label in the 1st column, and a component using the remaining 5 columns).
  LCB | 3 components, a label in the 1st column, a component spread across the next 4, and a button in the last column.
  LCLC | 4 components, a label in column 1, a component in 2-3, a label in 4 and a component in 5-6.
  LCLCB | 5 components, a label in column 1, a component in 2-3, a label in 4, a component in 5 and a button in 6.
  LCBLC | 5 components, a label in column 1, a component in 2, a button in 3, a label in 4, a component in 5-6.
  LCBLCB | 6 components, one in each column.

  Columns 1 and 4 expand to accommodate the widest label, and 3 and 6 to accommodate the widest button.

  Each row will contain the number of components indicated by the format. Be sure to specify enough row formats to cover all the components you add to the layout.

  Parameters:
    `rowCount` - the number of rows.
    `rowFormats` - the row formats.

Method Detail

### preferredLayoutSize

    public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

  Returns the preferred size of the component using this layout manager.

  Specified by:
    `preferredLayoutSize` in interface `java.awt.LayoutManager`
  Parameters:
    `parent` - the parent.
  Returns:
    the preferred size of the component.

### minimumLayoutSize

    public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

  Returns the minimum size of the component using this layout manager.

  Specified by:
    `minimumLayoutSize` in interface `java.awt.LayoutManager`
  Parameters:
    `parent` - the parent.
  Returns:
    the minimum size of the component

### layoutContainer

    public void layoutContainer(java.awt.Container parent)

  Performs the layout of the container.

  Specified by:
    `layoutContainer` in interface `java.awt.LayoutManager`
  Parameters:
    `parent` - the parent.

### updateC

    protected void updateC(int rowIndex,
                           java.awt.Dimension d0)

  Processes a row in 'C' format.

  Parameters:
    `rowIndex` - the row index.
    `d0` - dimension 0.

### updateLC

    protected void updateLC(int rowIndex,
                            java.awt.Dimension d0,
                            java.awt.Dimension d1)

  Processes a row in 'LC' format.

  Parameters:
    `rowIndex` - the row index.
    `d0` - dimension 0.
    `d1` - dimension 1.

### updateLCB

    protected void updateLCB(int rowIndex,
                             java.awt.Dimension d0,
                             java.awt.Dimension d1,
                             java.awt.Dimension d2)

  Processes a row in 'LCB' format.

  Parameters:
    `rowIndex` - the row index.
    `d0` - dimension 0.
    `d1` - dimension 1.
    `d2` - dimension 2.

### updateLCLC

    protected void updateLCLC(int rowIndex,
                              java.awt.Dimension d0,
                              java.awt.Dimension d1,
                              java.awt.Dimension d2,
                              java.awt.Dimension d3)

  Processes a row in 'LCLC' format.

  Parameters:
    `rowIndex` - the row index.
    `d0` - dimension 0.
    `d1` - dimension 1.
    `d2` - dimension 2.
    `d3` - dimension 3.

### updateLCBLC

    protected void updateLCBLC(int rowIndex,
                               java.awt.Dimension d0,
                               java.awt.Dimension d1,
                               java.awt.Dimension d2,
                               java.awt.Dimension d3,
                               java.awt.Dimension d4)

  Processes a row in 'LCBLC' format.

  Parameters:
    `rowIndex` - the row index.
    `d0` - dimension 0.
    `d1` - dimension 1.
    `d2` - dimension 2.
    `d3` - dimension 3.
    `d4` - dimension 4.

### updateLCLCB

    protected void updateLCLCB(int rowIndex,
                               java.awt.Dimension d0,
                               java.awt.Dimension d1,
                               java.awt.Dimension d2,
                               java.awt.Dimension d3,
                               java.awt.Dimension d4)

  Processes a row in 'LCLCB' format.

  Parameters:
    `rowIndex` - the row index.
    `d0` - dimension 0.
    `d1` - dimension 1.
    `d2` - dimension 2.
    `d3` - dimension 3.
    `d4` - dimension 4.

### updateLCBLCB

    protected void updateLCBLCB(int rowIndex,
                                java.awt.Dimension d0,
                                java.awt.Dimension d1,
                                java.awt.Dimension d2,
                                java.awt.Dimension d3,
                                java.awt.Dimension d4,
                                java.awt.Dimension d5)

  Processes a row in 'LCBLCB' format.

  Parameters:
    `rowIndex` - the row index.
    `d0` - dimension 0.
    `d1` - dimension 1.
    `d2` - dimension 2.
    `d3` - dimension 3.
    `d4` - dimension 4.
    `d5` - dimension 5.

### complete

    public void complete()

  Finishes of the processing.

### addLayoutComponent

    public void addLayoutComponent(java.awt.Component comp)

  Not used.

  Parameters:
    `comp` - the component.

### removeLayoutComponent

    public void removeLayoutComponent(java.awt.Component comp)

  Not used.

  Specified by:
    `removeLayoutComponent` in interface `java.awt.LayoutManager`
  Parameters:
    `comp` - the component.

### addLayoutComponent

    public void addLayoutComponent(java.lang.String name,
                                   java.awt.Component comp)

  Not used.

  Specified by:
    `addLayoutComponent` in interface `java.awt.LayoutManager`
  Parameters:
    `name` - the component name.
    `comp` - the component.

### removeLayoutComponent

    public void removeLayoutComponent(java.lang.String name,
                                      java.awt.Component comp)

  Not used.

  Parameters:
    `name` - the component name.
    `comp` - the component.